GNU Radio C++ API Reference: NumberDisplayForm Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
NumberDisplayForm Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

DisplayForm child for managing number sink plots. More...

`#include <gnuradio/qtgui/numberdisplayform.h>`

## Public Slots
void | mousePressEvent (QMouseEvent *e) override
void | customEvent (QEvent *e) override
void | setStop (bool on)
void | setStop ()
void | setGraphType (const gr::qtgui::graph_t type)
void | setColor (unsigned int which, const QColor &min, const QColor &max)
void | setColorMin (unsigned int which, QString min)
void | setColorMax (unsigned int which, QString max)
void | setLabel (unsigned int which, const std::string &label)
void | setLabel (unsigned int which, QString label)
void | setAverage (const float avg)
void | setUpdateTime (const float time)
void | setUpdateTime (QString time)
void | saveFigure ()
void | setScale (unsigned int which, int min, int max)
void | setScaleMin (unsigned int which, int min)
void | setScaleMax (unsigned int which, int max)
void | autoScale (bool on)
void | setTitle (const std::string &title)
void | setUnit (unsigned int which, const std::string &unit)
void | setFactor (unsigned int which, float factor)

## Public Member Functions
| NumberDisplayForm (int nplots=1, gr::qtgui::graph_t type=gr::qtgui::NUM_GRAPH_HORIZ, QWidget *parent=0)
| ~NumberDisplayForm () override
gr::qtgui::graph_t | graphType () const
QColor | colorMin (unsigned int which) const
QColor | colorMax (unsigned int which) const
std::string | label (unsigned int which) const
float | average () const
float | updateTime () const
int | scaleMin (unsigned int which)
int | scaleMax (unsigned int which)
std::string | title () const
std::string | unit (unsigned int which) const
float | factor (unsigned int which) const

## Detailed Description

DisplayForm child for managing number sink plots.

## Constructor & Destructor Documentation

## ◆ NumberDisplayForm()

NumberDisplayForm::NumberDisplayForm | ( | int | nplots = 1,
|  | gr::qtgui::graph_t | type = gr::qtgui::NUM_GRAPH_HORIZ,
|  | QWidget * | parent = 0 )

References gr::qtgui::NUM_GRAPH_HORIZ.

## ◆ ~NumberDisplayForm()

NumberDisplayForm::~NumberDisplayForm | ( |  | ) |
| override

## Member Function Documentation

## ◆ autoScale

void NumberDisplayForm::autoScale | ( | bool | on | ) |
| slot

## ◆ average()

float NumberDisplayForm::average | ( |  | ) | const

## ◆ colorMax()

QColor NumberDisplayForm::colorMax | ( | unsigned int | which | ) | const

## ◆ colorMin()

QColor NumberDisplayForm::colorMin | ( | unsigned int | which | ) | const

## ◆ customEvent

void NumberDisplayForm::customEvent | ( | QEvent * | e | ) |
| overrideslot

## ◆ factor()

float NumberDisplayForm::factor | ( | unsigned int | which | ) | const

Referenced by setFactor().

## ◆ graphType()

gr::qtgui::graph_t NumberDisplayForm::graphType | ( |  | ) | const

## ◆ label()

std::string NumberDisplayForm::label | ( | unsigned int | which | ) | const

Referenced by setLabel(), and setLabel().

## ◆ mousePressEvent

void NumberDisplayForm::mousePressEvent | ( | QMouseEvent * | e | ) |
| overrideslot

## ◆ saveFigure

void NumberDisplayForm::saveFigure | ( |  | ) |
| slot

## ◆ scaleMax()

int NumberDisplayForm::scaleMax | ( | unsigned int | which | ) |

## ◆ scaleMin()

int NumberDisplayForm::scaleMin | ( | unsigned int | which | ) |

## ◆ setAverage

void NumberDisplayForm::setAverage | ( | const float | avg | ) |
| slot

## ◆ setColor

void NumberDisplayForm::setColor | ( | unsigned int | which,
|  | const QColor & | min,
|  | const QColor & | max )
| slot

## ◆ setColorMax

void NumberDisplayForm::setColorMax | ( | unsigned int | which,
|  | QString | max )
| slot

## ◆ setColorMin

void NumberDisplayForm::setColorMin | ( | unsigned int | which,
|  | QString | min )
| slot

## ◆ setFactor

void NumberDisplayForm::setFactor | ( | unsigned int | which,
|  | float | factor )
| slot

References factor().

## ◆ setGraphType

void NumberDisplayForm::setGraphType | ( | const gr::qtgui::graph_t | type | ) |
| slot

## ◆ setLabel [1/2]

void NumberDisplayForm::setLabel | ( | unsigned int | which,
|  | const std::string & | label )
| slot

References label().

## ◆ setLabel [2/2]

void NumberDisplayForm::setLabel | ( | unsigned int | which,
|  | QString | label )
| slot

References label().

## ◆ setScale

void NumberDisplayForm::setScale | ( | unsigned int | which,
|  | int | min,
|  | int | max )
| slot

## ◆ setScaleMax

void NumberDisplayForm::setScaleMax | ( | unsigned int | which,
|  | int | max )
| slot

## ◆ setScaleMin

void NumberDisplayForm::setScaleMin | ( | unsigned int | which,
|  | int | min )
| slot

## ◆ setStop [1/2]

void NumberDisplayForm::setStop | ( |  | ) |
| slot

## ◆ setStop [2/2]

void NumberDisplayForm::setStop | ( | bool | on | ) |
| slot

## ◆ setTitle

void NumberDisplayForm::setTitle | ( | const std::string & | title | ) |
| slot

References title().

## ◆ setUnit

void NumberDisplayForm::setUnit | ( | unsigned int | which,
|  | const std::string & | unit )
| slot

References unit().

## ◆ setUpdateTime [1/2]

void NumberDisplayForm::setUpdateTime | ( | const float | time | ) |
| slot

## ◆ setUpdateTime [2/2]

void NumberDisplayForm::setUpdateTime | ( | QString | time | ) |
| slot

## ◆ title()

std::string NumberDisplayForm::title | ( |  | ) | const

Referenced by setTitle().

## ◆ unit()

std::string NumberDisplayForm::unit | ( | unsigned int | which | ) | const

Referenced by setUnit().

## ◆ updateTime()

float NumberDisplayForm::updateTime | ( |  | ) | const

The documentation for this class was generated from the following file:

- numberdisplayform.h